You are not logged in.

#26 2013-01-13 15:24:07

iosonofabio
Member
From: Italy
Registered: 2008-10-09
Posts: 101

Re: IBus failure after recent upgrade

Then I do not know how to help you but referring to the wiki. In particular, check that the following environment vairables are set correctly when IBUS is started (and later):

export GTK_IM_MODULE=ibus
export XMODIFIERS=@im=ibus
export QT_IM_MODULE=ibus

and possibly consider installing the following:

ibus 1.5.1-1
ibus-m17n 1.3.4-3
ibus-pinyin 1.5.0-2
ibus-qt 1.3.1-6
ibus-table 1.4.99.20121112-1

which constitute my complete set of packages related to input methods.

Offline

#27 2013-01-13 17:05:44

endor43
Member
Registered: 2012-11-04
Posts: 21

Re: IBus failure after recent upgrade

I am not having the above issues, but after the recent upgrade, Ibus pinyin input on certain applications shows up as "[Invalid UTF-8]" insted of the character. This did not happen with Ibus before and does not happen using SCIM.

Any Ideas?

Thanks

Offline

#28 2013-01-13 18:07:32

onesandzeros
Member
Registered: 2005-09-16
Posts: 40

Re: IBus failure after recent upgrade

iosonofabio wrote:

Then I do not know how to help you but referring to the wiki. In particular, check that the following environment vairables are set correctly when IBUS is started (and later):

ibus 1.5.1-1
ibus-m17n 1.3.4-3
ibus-pinyin 1.5.0-2
ibus-qt 1.3.1-6
ibus-table 1.4.99.20121112-1

which constitute my complete set of packages related to input methods.

Is that version of ibus-qt working nicely with that version of ibus?  I have a lot of trouble with the combination.

Offline

#29 2013-01-15 07:47:07

alfa8my
Member
Registered: 2013-01-12
Posts: 4

Re: IBus failure after recent upgrade

Hi

I have an Enlightenment desktop and I can't get ibus-hangul running as a user. If I login as root, it works well by just adding

export GTK_IM_MODULE=ibus
export XMODIFIERS=@im=ibus
export QT_IM_MODULE=ibus

to ~/.xinitrc; but as a user, ibus does not start automatically and even if I start the daemon, it just switches to a plain qwerty keyboard and not hangul. I have

ibus
ibus-hangul
ibus-qt
ibus-m17n

installed. If I run ibus-setup from a terminal, it gives me this message:

(main.py:512): IBUS-WARNING **: org.freedesktop.IBus.Config.GetValue: GDBus.Error:org.freedesktop.DBus.Error.Failed: Config value [general/hotkey:triggers] does not exist.

Help!

Offline

#30 2013-02-02 16:58:30

gorudonu
Member
Registered: 2010-08-08
Posts: 37

Re: IBus failure after recent upgrade

onesandzeros wrote:
iosonofabio wrote:

Then I do not know how to help you but referring to the wiki. In particular, check that the following environment vairables are set correctly when IBUS is started (and later):

ibus 1.5.1-1
ibus-m17n 1.3.4-3
ibus-pinyin 1.5.0-2
ibus-qt 1.3.1-6
ibus-table 1.4.99.20121112-1

which constitute my complete set of packages related to input methods.

Is that version of ibus-qt working nicely with that version of ibus?  I have a lot of trouble with the combination.

for me it's not working. I can change to ibus-anthy from kde panel to japanese input but global shortcut doesnt work. Also ibus mesun looks ugly

Last edited by gorudonu (2013-02-02 16:58:56)

Offline

#31 2013-02-16 00:47:56

onesandzeros
Member
Registered: 2005-09-16
Posts: 40

Re: IBus failure after recent upgrade

gorudonu wrote:

for me it's not working. I can change to ibus-anthy from kde panel to japanese input but global shortcut doesnt work. Also ibus mesun looks ugly


Current packages are working for me but the icon in the system tray looks odd, it won't pickup the same keyboard shortcut it used to (it used to pick up the Meta key alone, but no more), and the settings menu is gtk, not qt, although I have the ibus-qt package installed.

I noticed the ibus package is orphaned, while the fcitx package is not.  Is there a move away from ibus to fcitx?

Offline

#32 2013-03-10 01:14:09

onesandzeros
Member
Registered: 2005-09-16
Posts: 40

Re: IBus failure after recent upgrade

Well, I was still having a lot of trouble with ibus so I tried fcitx.  Pretty painless.  I installed

fcitx fcitx-anthy fcitx-qt4 fcitx-kcm fcitx-gtk3 fcitx-gtk2

and followed the instruction on Arch wiki about fcitx, adding the following in .xprofile

export GTK_IM_MODULE=fcitx
export QT_IM_MODULE=fcitx
export XMODIFIERS="@im=fcitx"

and that was about it.

Offline

#33 2013-03-12 12:53:14

xiliyi
Member
Registered: 2011-05-14
Posts: 37

Re: IBus failure after recent upgrade

onesandzeros wrote:

Well, I was still having a lot of trouble with ibus so I tried fcitx.  Pretty painless.  I installed

fcitx fcitx-anthy fcitx-qt4 fcitx-kcm fcitx-gtk3 fcitx-gtk2

and followed the instruction on Arch wiki about fcitx, adding the following in .xprofile

export GTK_IM_MODULE=fcitx
export QT_IM_MODULE=fcitx
export XMODIFIERS="@im=fcitx"

and that was about it.

I did that as well after Ibus stopped working and am not having any problems now.

Offline

#34 2013-03-24 04:51:57

ant32
Member
Registered: 2013-03-23
Posts: 24

Re: IBus failure after recent upgrade

fcitx-kcm seems to have been changed to kcm-fcitx

Offline

Board footer

Powered by FluxBB